### Method

# GUPnPAV CDSLastChangeEntry get_class

#### Declaration [src]

    const char*
    gupnp_cds_last_change_entry_get_class (
      GUPnPCDSLastChangeEntry* entry
    )

#### Description [src]

Get the UPnP class of the object in this change entry. This is only valid if `gupnp_cds_last_change_entry_get_event()` returns `GUPNP_CDS_LAST_CHANGE_EVENT_OBJECT_ADDED`.

#### Return value

Type: `const char*`

The upnp class of the object of this entry.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.